Page MenuHomePhabricator

Release ValueView with UnDeserializableValue expert
Closed, ResolvedPublic1 Story Points

Event Timeline

Tobi_WMDE_SW assigned this task to aude.
Tobi_WMDE_SW raised the priority of this task from to High.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 8:59 AM
Tobi_WMDE_SW set Security to None.Jun 3 2015, 9:34 AM
Tobi_WMDE_SW edited a custom field.
thiemowmde added a subscriber: thiemowmde.

Unfortunately there are no review tasks associated to this ticket. As far as I know it was created because of https://github.com/wmde/ValueView/pull/171, which I just merged.

I suggest to do an early release including the needed expert as 0.14.4, not 0.15.0.

thiemowmde renamed this task from Release ValueView 0.15.0 to Release ValueView with UnDeserializableValue expert.Jun 10 2015, 7:13 PM
thiemowmde closed this task as Resolved.
thiemowmde reopened this task as Open.EditedJun 11 2015, 10:07 AM

More components need an update before this can be called "done":

  • wikibase/javascript-api needs to be updated (or made compatible) with data-values/javascript ~0.7.0. Already done.
  • Same for Wikibase.git itself.

If this is done Composer should magically switch from ValueView 0.14.3 to 0.14.4.

Change 217474 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Update DataValues JavaScript dependency to 0.7.0

https://gerrit.wikimedia.org/r/217474

JanZerebecki closed this task as Resolved.Jun 11 2015, 3:28 PM
JanZerebecki moved this task from Review to Done on the Wikidata-Sprint-2015-06-02 board.
JanZerebecki added a subscriber: JanZerebecki.

Change 217474 merged by jenkins-bot:
Update DataValues JavaScript dependency to 0.7.0

https://gerrit.wikimedia.org/r/217474